Subject: Re: bug#69081: 29.1; M-x throwing error with ConTeXt mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Feb 2024 21:07:27 +0200

> Date: Mon, 12 Feb 2024 12:10:13 -0500
> From: Allen Juntao Fang <[email-masked]>
> 
> M-x on start up triggers the "Symbol's chain of function indirections
> contains a loop: ConTeXt mode". When I load my init.el from emacs-q, the
> error does not occur. This appeared after updating auctex recently,
> although I'm not sure where the error could come from given that it does
> not appear in emacs -q

Thank you for your report.

Since the problem doesn't happen in "emacs -q", we ask you to provide
a recipe, starting from "emacs -q" and loading the minimum set of
optional features, which we could use to reproduce the problem and
investigate it.  In particular, it sounds like you are using something
called "ConTeXt mode", which AFAIK is not part of Emacs -- the recipe
we ask you to post should include whatever is needed to activate that
mode, which seems to be part of the issue.